if (nchar(installed.packages()[,'Package']['Cairo'])==5) { 
  library("Cairo"); 
  if (Cairo.capabilities()['png']) { 
    CairoPNG("plot.png") 
  } else { 
    pdf("plot.pdf") }
  } else { pdf("plot.pdf") 
}
x=c(1,2,3,4,5,6,7);
y1 = c(2.114741,2.867881,5.410703,7.894898,10.462491,12.802067,14.586033);
y2 = c(1.142244,2.359561,4.194206,5.243549,6.717307,8.199635,8.624617);
label=c("20x50x20x10","20x50x20x20","50x100x50x10","50x100x50x20","50x200x100x10","50x200x100x20","50x400x100x20");

par(mar=c(10,4,2,2)+0.1)
plot(y1,ylab="Speed-Up GPU vs CPU",xlab="",main="Heston-Hull-White Model: GTX560 vs. Core i7",pch=3,type="b",lty=3,ylim=c(1,15),xlim=c(1,7), xaxt="n")
points(x,y2,pch=5, type="b",lty=3)

axis(1,1:7, label,las=2)
mtext("Grid Size (t,x,v,r)", side=1, line=8)


legend(x=1, y=15,legend=c("GPU single precision", "GPU double precision"),pch=c(3,5))

dev.off()

