if (nchar(installed.packages()[,'Package']['Cairo'])==5) { 
  library("Cairo"); 
  if (Cairo.capabilities()['png']) { 
    CairoPNG("plot.png") 
  } else { 
    pdf("plot.pdf") }
  } else { pdf("plot.pdf") 
}
x=c(1,2,3,4,5,6,7);
y1 = c(2.253496, 2.263373, 4.962013, 8.115427, 13.058270, 14.631096, 16.262727);
y2 = c(1.762510,1.769231,3.571874,5.390529,8.605063,8.928239,9.542037);
label=c("50x200x100","100x200x100","100x500x100","100x500x200","100x1000x500","100x2000x500","100x2000x1000");

par(mar=c(10,4,2,2)+0.1)
plot(y1,ylab="Speed-Up GPU vs CPU",xlab="",main="Heston Model: GTX560 vs. Core i7",pch=3,type="b",lty=3,ylim=c(1,20),xlim=c(1,7), xaxt="n")
points(x,y2,pch=5, type="b",lty=3)

axis(1,1:7, label,las=2)
mtext("Grid Size (t, x, v)", side=1, line=8)


legend(x=1, y=20,legend=c("GPU single precision", "GPU double precision"),pch=c(3,5))

dev.off()

